GDB (xrefs)

Public Attributes | List of all members
symbol_smob Struct Reference

## Public Attributes
eqable_gdb_smob | base
struct symbol * | symbol

## Detailed Description

Definition at line 33 of file scm-symbol.c.

## Member Data Documentation

## ◆ base

eqable_gdb_smob symbol_smob::base

Definition at line 36 of file scm-symbol.c.

Referenced by syscm_free_symbol_smob(), and syscm_scm_from_symbol().

## ◆ symbol

struct symbol* symbol_smob::symbol

Definition at line 39 of file scm-symbol.c.

Referenced by gdbscm_symbol_addr_class(), gdbscm_symbol_argument_p(), gdbscm_symbol_constant_p(), gdbscm_symbol_function_p(), gdbscm_symbol_line(), gdbscm_symbol_linkage_name(), gdbscm_symbol_name(), gdbscm_symbol_needs_frame_p(), gdbscm_symbol_print_name(), gdbscm_symbol_symtab(), gdbscm_symbol_type(), gdbscm_symbol_value(), gdbscm_symbol_variable_p(), syscm_eq_symbol_smob(), syscm_free_symbol_smob(), syscm_get_valid_symbol_arg_unsafe(), syscm_hash_symbol_smob(), syscm_is_valid(), syscm_make_symbol_smob(), syscm_mark_symbol_invalid(), syscm_print_symbol_smob(), and syscm_scm_from_symbol().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/guile/scm-symbol.c